Bug 126666 - Error messages maxes the cpu at 100%
Error messages maxes the cpu at 100%
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-24 11:06 EDT by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 11:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2004-06-24 11:06:02 EDT
Description of problem:
When i (ex.) type an invalid address in epiphany, the cpu maxes at
100% untill i accnowledge the message (pushing "OK")

Version-Release number of selected component (if applicable):
epiphany-1.2.4-1

How reproducible:
Every time

Steps to Reproduce:
1.Open epiphany
2.type an errorendous URL (ex. "thisisnotanurl.com")
3.The DNS seach fails, giving the message "alert"
"www.thisisnotanurl.com could not be found. Please check the name and
try again" (hmm... Translation error as well - i use epiphany in
norwegian but this popped up in english...), and maxing the CPU at 100%
4. Click ok. The cpu falls back to normal levels (about 0%)

Actual results:
The box is displayed, and the cpu maxes as long as it stays on-screen.

Expected results:
Display the box. Nothing more.

Additional info:
The error message should be translated into somthing like
"Advarsel" "www.thisisnotanurl.com ble ikke funnet, venligst se til at
du har tastet riktig adresse og prøv igjen"

Think this is happening with all kinds of errormessages, not just the
one mentioned.
Comment 1 Christian Persch (GNOME) 2004-06-28 15:44:15 EDT
glib bug http://bugzilla.gnome.org/show_bug.cgi?id=112222, fixed in
glib 2.4.1.
Comment 2 Kyrre Ness Sjøbæk 2004-06-29 05:44:13 EDT
Ok, good. Just asking, knowing it isn't your responsibility, but
still: Do you know when this fix will be out in FC2?
Comment 3 Marco Pesenti Gritti 2004-10-07 09:33:28 EDT
Reassigning to glib. Fixing this would require to update the glib
version in Fedora 2 to >= 2.4.1
Comment 4 Matthias Clasen 2004-10-13 14:37:12 EDT
glib2-2.4.7-1 for fc2 is in testing now
Comment 5 Jim Cornette 2004-10-13 21:04:25 EDT
Trying to install the newer version, I get this error through up2date.
glib2 was the problem, including the devel rpm update.
this is in reply to a message to the test list.

There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
gnome-utils  2.8.0-4                     requires
/usr/bin/update-gtk-immodules

Please modify your package selections and try again.
Comment 6 Matthias Clasen 2004-10-14 00:29:28 EDT
Wait, gnome-utils 2.8.0 is not in fc2, is it ? Even if it is, updating
glib2 can't influence the presence or absence of update-gtk-immodules,
which is a part of the *fc3* gtk2 package. 
Comment 7 Jim Cornette 2004-10-15 22:34:03 EDT
So which program should I remove to resolve this conflict?

This is a Severn to present rawhide installation.
Comment 8 Jim Cornette 2004-10-15 23:00:02 EDT
Problem resolved.
The rpm in testing is one decimal version up from the packages
available in development.
gtk2-2.4.13-1 (rawhide) and gtk2-2.4.13-1.1 for FC2-testing.

Note You need to log in before you can comment on or make changes to this bug.